# История изменений в ПО MCU-xMx

## [60.3.0.31] - 21.07.2020

### Добавлено

* Публикация показаний *1-Wire* датчиков в индексе *0x483B Ext IO - AI Float Mag*
* В файл *modbus_mappings.cfg* добавлено отражение индекса *0x4831 Ext IO AI Read Float* в адресное простарнство Modbus регистров
* Индикация активности опроса *1-Wire* датчиков индикатором "W"


### Изменено

### Удалено

### Исправлено

* Обработка 1-Wire датчиков.

### Устарело

## [60.3.0.30] - 02.07.2020

### Добавлено 


### Изменено

* Нумерация версий ПО. 
**С этой версии стабильные версии ПО должны иметь номер, кратный 10.**
**Версии ПО, имеющие номер не кратный 10 являются тестовыми и не должны устанавливаться в отгружаемые устройства.**

### Удалено

### Исправлено


### Устарело

## [60.3.0.27] - 23.06.2020

### Добавлено 

* Сохранение переменных Прикладной программы в энергонезависимой памяти с батарейным питанием (*Critical*)

### Изменено

* Отображение *AI Float Mag* вместо *AI Float Read* в *CAN TPDO* сообщениях

### Удалено

### Исправлено

* Инициализация *cob-id CAN RPDO* сообщений
* Чтение файла *modbus_config.cfg*


### Устарело

## [60.3.0.26] - 22.05.2020

### ВНИМАНИЕ

**В прошивке [60.3.00.25] поменялся тип файловой системы!
При перепрошивке создание бэкапа настроек и маппингов обязательно!
Иначе все настройки и дополнительные файлы будут потеряны!**


### Добавлено 

### Изменено

* В платах ЕМ ток утечки переименован в *Id*
* Алгоритм обнаружения пропажи основного питания(улучшена помехозащищённость)
* WEB-интерфейс

### Удалено


### Исправлено


### Устарело



## [60.3.00.25] - 14.05.2020

### ВНИМАНИЕ

**В прошивке поменялся тип файловой системы!
При перепрошивке создание бэкапа настроек и маппингов обязательно!
Иначе все настройки и дополнительные файлы будут потеряны!**


### Добавлено 

	Измерение тока утечки.

### Изменено


### Удалено

	Измерение тока нейтрали.

### Исправлено


### Устарело


## [60.3.00.24] - 27.04.2020

### ВНИМАНИЕ

**В прошивке поменялся тип файловой системы!
При перепрошивке создание бэкапа настроек и маппингов обязательно!
Иначе все настройки и дополнительные файлы будут потеряны!**


### Добавлено 


### Изменено


### Удалено


### Исправлено

**Исправлены чтение/запись разервной копии настроек**
Увеличена устойчивость файловой системы к сбоям


### Устарело


## [60.3.00.23] - 23.04.2020

### ВНИМАНИЕ

**В прошивке поменялся тип файловой системы!
При перепрошивке создание бэкапа настроек и маппингов обязательно!
Иначе все настройки и дополнительные файлы будут потеряны!**


### Добавлено 


### Изменено

* Небольшие изменения WEB-Интерфейса пользователя
* Обработка аналоговых сигналов(Фильтр 1-го порядка)
* Deadband - float вместо uint32
* Рассчёт температур с помощью полиномов вместо таблиц

### Удалено

* AI Upper/Lower Limit в словаре

### Исправлено

Увеличена устойчивость файловой системы к сбоям


### Устарело



## [60.3.00.22] - 20.02.2020

### Добавлено 


### Изменено

* Небольшие изменения WEB-Интерфейса пользователя

### Удалено

* Отправка ошибок в случае превышения/обрыва AO

### Исправлено

* Измерение напряжения батареи. Могло показывать превышение напряжения.



### Устарело


## [60.3.00.21] - 04.02.2020

### Добавлено 

* Отправка PDO при изменении в соответсвии с устройствами MCU.
* Система отображения и изменения времени.
* Работа с пирометрами (только на версии с 1-wire).

### Изменено

* Power Monitor. Если запитан от USB, при первом появлении питания перезагружается.
* Web интерфейс.
* Словарь.

### Удалено


### Исправлено


### Устарело

## [60.3.00.17] - 09.12.2019

### Добавлено 




### Изменено

* Словарь объектов
* Поведение монитора питание. Улучшена ЭМ совместимость
* Веб-страница пользователя

### Удалено


### Исправлено

* Поведение в присутствии ЭМ помех

### Устарело

## [60.3.00.16] - 25.11.2019

### Добавлено 

* Колбек для проверкии вводимых данных в индекс BX_PM_SETTINGS: схемы подключения и коэффициента усиления.

### Изменено

* Значения по умолчанию для аналоговых данных счётчика - _float NAN_ .
* Если пропадает связь с платой, все float значения счётчиков принудительно становятчся nan.
* Power Monitor. При подключенном USB в случае пропажи основного питания происходит перезагрузка.

### Удалено


### Исправлено

* Длина строки для команды ФТП увеличена до 80 символов.

### Устарело

## [60.3.00.15] - 19.11.2019

### Добавлено 




### Изменено

* Словарь объектов
* Все аналоговые данные теперь в формате float
* Значения по умолчанию для аналоговых данных - _float NAN_
* Обработанные параметры теперь называются _Bx - xIx Mag_
* Длина фильтра DI теперь задаётся в миллисекундах независимо от типа дискретного входа
* Смена полярности дискретных сигналов переименована в _Bx - Dx Invert Polarity_

### Удалено

* Значения AI в формате short   

### Исправлено

* Обработка DI
* Режим тактового генератора RTC

### Устарело

## [60.3.00.11] - 7.11.2019

### Добавлено 

* Проверка готовности данных MCU


### Изменено

* Словарь объектов


### Удалено

  

### Исправлено



### Устарело

## [60.3.00.10] - 5.11.2019

### Добавлено 

* Поддержка всех модулей ввода/вывода
* Поддержка устройства RNDIS на USB. Сервер http для конфигурирования и ftp для доступа к файловой системе устройства.
* Поддержка Пользовательской программы (Beremiz) с задаваемой областью пользовательских данных.
* Файл конфигурирования отражения объектов словаря CANopen в пространстве адресов Modbus регистров
* Поддержка модуля счётчика электроэнергии
* Поддержка интерфейса "1-Wire"
* Модуль Часов реального времени (RTC)


### Изменено

* Словарь объектов
* Пароль по умолчанию
* Обработка ошибок
* __Теперь одна прошивка на MCU и EM__


### Удалено

* Интерфейс Последовательного коммуникационного порта *USB* для конфигурирования устройства

  

### Исправлено



### Устарело


## [60.3.00.01] - 23.07.2019

Первая версия устройства MCU-xMx (60.3.NN.MM).

Особенности (в том числе по сравнению с MCU-A(D)-F105):

* Новая версия Словаря объектов CANopen
* Обработка до шести субмодулей и соответственно 24 TPDO, 24 RPDO, 6 SDO серверов, 6 генераторов сообщений "hertbeat"
* Добавлены индексы полярности дискретных входов и выходов
* Составлена карта Modbus регистров
* Тип модулей задается в индексе 0х1027 "Module List" (первый для головного модуля, остальные для субмодулей)
* Значение по умолчанию идентификаторов узла CANopen начинается со 127 для первого субмодуля и по убыванию на каждый следующий узел.

